<template>
<div class="section height" id="portofolio">
    <div>
      <h2 class="title">Portofolio</h2>
    </div>
    <div class="portofolio-list">
      <div class="list">
        <div class="left">
         <img :src="require(`@/assets/hospital.png`)" alt="foto"/>
        </div>
        <div class="right">
          <h3>Hospital Information System</h3>
          <p>this project was developed for helping the RSIA ZAINAB Hospital 
            to manage all of the problems that exist. 
            Start from registry patients up to payments. 
            In this project, I'm acted as the front-end developer (bridging and consume API from BE) 
            and I'm designing user interface too using tools Figma plus deploy the system to vps (DO)</p>
          <ul>
            <li>React</li>
            <li>Styled Component</li>
            <li>Docker</li>
            <li>Nginx</li>
          </ul>
        </div>
      </div>
       <div class="list">
        <div class="left">
         <img :src="require(`@/assets/appoitment.png`)" alt="foto"/>
        </div>
        <div class="right">
          <h3>Appointment Online</h3>
          <p>This website has goals for the active patients at RSIA ZAINAB to get a services appointment doctor online. 
            So patients can get a queue number appointment doctor from anywhere and everywhere.
          </p>
          <ul>
            <li>Vue</li>
            <li>Docker</li>
            <li>Nginx</li>
          </ul>
        </div>
      </div>
        <div class="list">
        <div class="left">
         <img :src="require(`@/assets/zapgo.png`)" alt="foto"/>
        </div>
        <div class="right">
          <h3>Zapgo Website</h3>
          <p>A simple single page web app for helping ZAPGO to embrace the costumers</p>
          <ul>
            <li>Next JS</li>
            <li>Tailwind</li>
            <li>Firebase</li>
            <li>Vercel</li>
          </ul>
        </div>
      </div>
    </div>
</div>
</template>

<style>
  .section.height{
    height: auto;
    position: relative;
    display: flex;
    flex-direction: column;
  }
   
  .section .title{
    margin: auto;
    width:180px;
    color: #2c2c2c;
  }
   
  .section.height .portofolio-list{     
    width: 100%;
    margin : auto;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 20px;
  }
  .portofolio-list .list{
      position: relative;
      display: flex;
      justify-content: space-between;
      cursor: pointer;
      width : 90%;
      height: 400px;
      margin : 25px;
      border-radius: 5px;
      text-align: right;
  }
    .portofolio-list .list:hover img{
          filter: grayscale(0) opacity(1);
   }

  .portofolio-list .list::after{
      font-family:Pacifico ;
      content:'<div>';
      font-size:10px;
      position: absolute;
      font-weight: 100;
      color : #df686896;
      left: 0;
      top:-20px;
  }
  .portofolio-list .list::before{
      font-family:Pacifico ;
      content:'</div>';
      font-size:10px;
      position: absolute;
      font-weight: 100;
      color : #df686896;
      left: 0;
      bottom:-20px;
  }

  .portofolio-list > .list:nth-child(even){
     flex-direction: row-reverse;
     text-align: left;
  }
  .list > .left{
     width: 700px;
     overflow: hidden;
     border-radius: 5px;
     box-shadow: 3px 16px 59px 0px rgba(71, 69, 69, 0.31);
  }

   .list > .left img{
     height: 100%;
     width: 100%;
     object-fit: cover;
     filter: grayscale(2.8) opacity(0.4);
     transition: all 200ms ease-in;
   }

   /* .list > .left img:hover{
     filter: grayscale(0) opacity(1);
   } */

    .list > .right {
      width: 550px;
      height: 400px;
      margin:10px;
      z-index: 10;
      position: relative;
      display: flex;
      flex-direction: column;
    }

    .right > h3{
      padding: 15px;
      font-size: 1.5rem;
      color : #301616;
    }
    .right > p {
      font-weight: 100;
      background: #bd4b4b;
      color: #fff;
      box-shadow: 3px 16px 59px 0px rgba(121, 24, 24, 0.31);
      width: 600px;
      line-height: 1.7;
      padding: 10px;
      top: 100px;
      position: absolute;
      right:0;
      border-radius: 5px;
    }
    .portofolio-list > .list:nth-child(even) > .right p{
     left : 0;
    }
    .right > ul {
      width: 100%;
      margin-top:10px;
      list-style: none;
      font-size: 12px;
      display: flex;
      justify-content: flex-end;
      position: absolute;
      bottom: 100px;
    }
    .portofolio-list > .list:nth-child(even) > .right ul{
     flex-direction: row-reverse;
     text-align: left;
    }
   
    .right > ul > li{
      margin:5px;
      font-weight: 600;
      color: #bd4b4b;
      padding: 5px;
      border-radius: 5px;
    }
    @media only screen and (max-width: 600px) {
    .portofolio-list .list{
      width:100%;
      position: relative;
      flex-direction:column;
      border-radius: 5px;
      overflow: hidden;
      box-shadow: 3px 10px 19px 0px rgba(110, 109, 109, 0.31);
    }

    .portofolio-list > .list:nth-child(even){
      text-align:center;
      flex-direction: column;
    }
     .list > .left{
        width: 100%;
        height: 100%;
        position: relative;
        border-radius: 5px;
      }
    .list > .right {
      width: 100%;
      z-index: 10;
      position: absolute;
      display: flex;
      margin:auto;
      justify-content: center;
      flex-direction: column;
    overflow: hidden;
    }
      .portofolio-list .list:hover{
          background-color: #fff;
  }
      .portofolio-list .list:hover img{
        filter: grayscale(0) opacity(0.1);
  }
    .right > h3{
      font-size: 1.3rem;
      line-height: 1.3;
      margin-bottom: auto;
      width: 100%;
      padding: 5px 15px;
      text-align: left;
      color :#301616;
      border-bottom: 1px dashed #301616;
    }
    .right > p {
      color : #301616;
      background-color: transparent;
      box-shadow: 3px 16px 59px 0px rgba(255, 255, 255, 0.31);
      width: 100%;
      line-height: 1.5;
      border-radius: 1px;
      position: absolute;
      top: 70px;
      text-align: left;
      font-weight: 300;
      padding-left: 15px;
    }
    .list > .left img{
     position: relative; 
     filter: grayscale(1) opacity(0.1);
    }
    
    .right > ul {
      width: 100%;
      list-style: none;
      font-size: 12px;
      display: flex;
      justify-content: flex-start;
      position: absolute;
      flex-wrap: wrap;
      bottom: 10px;
      padding: 15px;
    }
    .right > ul > li{
      margin:0px;
      font-weight: 600;
      color: #bd4b4b;
      padding: 2px;
      border-radius: 5px;
    }
     .right > ul > li:nth-child(even){
      color:#161111;
    }
    .portofolio-list > .list:nth-child(even) > .right ul{
      flex-direction: row;
    }
    }
</style>
